## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate userfaultfd

Name:           rust-userfaultfd
Version:        0.8.1
Release:        %autorelease
Summary:        Rust bindings for the Linux userfaultfd functionality

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/userfaultfd
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings for the Linux userfaultfd functionality.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+linux4_14-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linux4_14-devel %{_description}

This package contains library source intended for building other packages which
use the "linux4_14" feature of the "%{crate}" crate.

%files       -n %{name}+linux4_14-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+linux5_7-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linux5_7-devel %{_description}

This package contains library source intended for building other packages which
use the "linux5_7" feature of the "%{crate}" crate.

%files       -n %{name}+linux5_7-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch ppc64le
# * skip unit tests on ppc64le (tests seem to expect 4K page size):
#   https://github.com/fastly/userfaultfd-rs/issues/32
%cargo_test -- --doc
%else
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 David Michael <fedora.dm0@gmail.com> - 0.8.1-1
- Update to version 0.8.1 (rhbz#2257998)

* Tue Oct 31 2023 David Michael <fedora.dm0@gmail.com> - 0.7.0-1
- Update to version 0.7.0 (rhbz#2218024)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 28 2023 David Michael <fedora.dm0@gmail.com> - 0.5.1-1
- Initial import. (fedora#2181028)

* Tue Mar 28 2023 Tomas Hrcka <thrcka@redhat.com> - 0.4.2-4
- Unretirement request: https://pagure.io/releng/issue/11361

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-2
- Skip integration tests on ppc64le, they expect page size to be 4K

* Fri Apr 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Initial import (#2075218)
## END: Generated by rpmautospec
